﻿<template>
    <div class="content-grid content-grid--subpage">

        <Breadcrumbs :title="t(`routes.admin.children.mailing.name`)" />
        <BackLinkTitle :title="t(`routes.admin.children.mailing.name`)" />
        <Card>

            <MailingForm @formSubmit="handleSubmit" />
        </Card>
    </div>
</template>

<script lang="ts" setup>
import Breadcrumbs from "@/components/layout/Breadcrumbs.vue";
import BackLinkTitle from "@/components/layout/BackLinkTitle.vue";
import MailingForm from "@/components/mailing/MailingForm.vue";
import Card from "@/components/layout/Card.vue";
import {useI18n} from "vue3-i18n";
import { useMailingService } from "@/inversify.config";
import { notifyError, notifySuccess } from "@/notify";
import { defineProps, defineEmits } from 'vue';
import { useRouter } from "vue-router";
import { Mailing } from "../../types/entities/mailing";

const {t} = useI18n()
const router = useRouter();

const mailingService = useMailingService()

const props = defineProps({});
const emit = defineEmits(['formSubmit']);

async function handleSubmit(mailing : Mailing) {
    console.log(mailing)
    const mailingData = {
        recipients: mailing.recipients,
        subject: mailing.subject,
        message: mailing.message
    };

    const response = mailingService.sendMail(mailingData);
    if ((await response).succeeded) {
        notifySuccess(t('user.mailing.sendSucceeded'))
        return;
    }
}
</script>
